1. We have added the ability to collapse/expand forum categories and widgets on forum home.
    Dismiss Notice
  2. All Civ avatars are brought back and available for selection in the Avatar Gallery! There are 945 avatars total.
    Dismiss Notice
  3. To make the site more secure, we have installed SSL certificates and enabled HTTPS for both the main site and forums.
    Dismiss Notice
  4. Civ6 is released! Order now! (Amazon US | Amazon UK | Amazon CA | Amazon DE | Amazon FR)
    Dismiss Notice
  5. Dismiss Notice
  6. Forum account upgrades are available for ad-free browsing.
    Dismiss Notice

Do you need to patch PTW like Conquests?

Discussion in 'Civ3 - General Discussions' started by conquer_dude, Mar 12, 2006.

  1. conquer_dude

    conquer_dude Imperial Slave

    Joined:
    Nov 27, 2005
    Messages:
    2,703
    Location:
    Hattiesburg, MS
    I see those 1.22 patches. Well I patched my conquests for an sg and it screwed up. I was wondering if you have to patch play the world? Help is apprecieted. Thanks in advance. :)
     
  2. Dark Sheer

    Dark Sheer Chieftain

    Joined:
    Nov 15, 2001
    Messages:
    2,096
    Location:
    Penang, Malaysia
    If you bought Conquest then your PTW is already the latest patch. :)

    Patching always screw up any game that you are currently playing for CivIII. Its sad but it has been like that since CivIII vanila is out in 2001. :(
     
  3. conquer_dude

    conquer_dude Imperial Slave

    Joined:
    Nov 27, 2005
    Messages:
    2,703
    Location:
    Hattiesburg, MS
    So I can download stuff, like PTW games that someone puts up for download?
     
  4. vmxa

    vmxa Chieftain

    Joined:
    Feb 9, 2004
    Messages:
    13,613
    Location:
    Oviedo, Fl
    Yes. they can be loaded an dplay with either PTW or C3C. Just once saved under C3C, they can no longer be played under PTW.
     

Share This Page